using System;
using System.Text;
using System.Web;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.Adapters;
using System.Reflection;
using System.Web.UI;
using CogArtTech.Utilities;

namespace CogArtTech.Web.ControlAdapters
{
    public class TranslationControlAdapter : WebControlAdapter
    {
        protected override void Render(HtmlTextWriter writer)
        {
            //Use reflection to determine if the base Control has a Text property.
            PropertyInfo[] pis = base.Control.GetType().GetProperties();
            for (int i = 0; i < pis.Length; i++)
            {
                PropertyInfo pi = pis[i];
                //If the control that is being adapted has a Text property
                if (pi.Name.ToUpper() == "TEXT")
                {
                    //Get the value assigned to the Text property.
                    String str = Convert.ToString(pi.GetValue(base.Control, null));
                    if (str.Length > 0)
                    {
                        try
                        {
                            //Make a Translator object
                            Translator translator = new Translator();
                           //Pass the Page and the Text property's value to the Translate method of the 
                            //Translator object for translation.
                            str = translator.Translate(base.Control.Page, str);
                            //Reassign the return value from the Translator object to be the
                            //new value for the control's Text property.
                            pi.SetValue(base.Control, str, null);
                            break;
                        }
                        catch 
                        {
                            break;
                        }  
                    }
                }
            }
            base.Render(writer);
        }


    }
}
