using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace CogArtTech.Web.Controls
{
    [DefaultProperty("Text")]
    [ToolboxData("<{0}:SmartText runat=server></{0}:SmartText>")]
    public class SimpleText : WebControl
    {
        [Category("Appearance")]
        [DefaultValue("")]
        [Localizable(true)]
        public string Text
        {
            get
            {
                String s = (String)ViewState["Text"];
                return ((s == null) ? String.Empty : s);
            }

            set
            {
                ViewState["Text"] = value;
            }
        }

        protected override void RenderContents(HtmlTextWriter output)
        {
            output.WriteFullBeginTag("H1");
            output.Write(this.Text);
            output.WriteEndTag("H1");
        }
    }
}
